PyGTKDeprecationWarning: Stock items are deprecated. Please use: Gtk.Button.new_with_mnemonic(label) button = Gtk.Button(stock="gtk-cancel")

Bug #1268148 reported by Tobiasz Jarczyk on 2014-01-11
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned

Bug Description

Steps to recreate:
1. Having some updates not yet installed, open update-manager in terminal.
2. Click on one of packages to be updated.
3. There will be warning shown in terminal:
$ update-manager
/usr/lib/python3/dist-packages/UpdateManager/UpdatesAvailable.py:588: PyGTKDeprecationWarning: Stock items are deprecated. Please use: Gtk.Button.new_with_mnemonic(label)
  button = Gtk.Button(stock="gtk-cancel")

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: update-manager 1:0.196.5
ProcVersionSignature: Ubuntu 3.13.0-1.16-generic 3.13.0-rc7
Uname: Linux 3.13.0-1-generic x86_64
ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
CurrentDesktop: GNOME
Date: Sat Jan 11 16:21:58 2014
GsettingsChanges:
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'window-height' b'708'
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'window-width' b'1022'
 b'com.ubuntu.update-manager' b'launch-time' b'1389453693'
InstallationDate: Installed on 2013-10-15 (87 days ago)
InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64 (20131015)
PackageArchitecture: all
SourcePackage: update-manager
UpgradeStatus: Upgraded to trusty on 2013-11-05 (67 days ago)

Tobiasz Jarczyk (dotnokato-q) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed

It has a moderate impact on a core package.

Changed in update-manager (Ubuntu):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers